#include <MASkinG.h>
#include "isoCanvas.h"
#include "dialogs.h"

#ifndef MAIN_DLG
#define MAIN_DLG

using namespace MAS;

class MainDlg : public Dialog {
    private:
    //widgets
    ClearScreen desktop;
    Shortcut ctrl_n, ctrl_s, ctrl_l, ctrl_q, f1, f2;
	IsoCanvas ic;
	Label lbl;
	
	Panel pnlStatus;
	Label lblMoney;
	Label lblClock;
	int timerStatusPanel;
	
	Button toolbar[5];
	int edit_state;

	void SwitchState (int new_state);
  
    Menu menuFile, menuHelp, menuMain;
    enum { 
		FILE_NEW = MSG_SUSER, 
        FILE_LOAD, 
        FILE_SAVE,
		FILE_TIME,
		FILE_FULL,
		FILE_QUIT, 
        HELP_HELP, 
        HELP_ABOUT
        };
    void MakeMenu();
    
    int menu_new ();
    int menu_load ();
    int menu_save ();
    int menu_help ();
    int menu_about ();
	int menu_full ();
    int menu_timetable ();

  protected:
    virtual bool MsgClose();
    virtual void HandleEvent(Widget &obj, int msg, int arg1, int arg2);
	virtual void MsgTick();
	virtual void MsgTimer (int id);
  public:
	  
	int getEditState() { return edit_state; }
    MainDlg();
    virtual ~MainDlg();    
};

#endif //MAIN_DLG
