#ifndef MAP_H
#define MAP_H

#include <fstream>

class Tile
{
	public:
	int track_tile;
	int semaphore_tile;
	int building_tile;
	
	bool hasTrack;
	int semaphore_state; // 4 x 2 bits, 00 = none, 10 = green, 11 = red
	int idStation; // -1 for none
	int idTrain; // -1 for none
	
	Tile();
};

class Map
{
	private:
	
	int mw, mh;
	
	public:
	Map ();
	~Map ();

	Tile *tile;
	
	bool hasTrack (int x, int y) const;
	int setTrack (int x, int y, bool value);
	void calcTrackTile(int x, int y);
	inline int getTrackTile (int x, int y) const { return tile[x + mw * y].track_tile; } 
	inline int getBuildingTile (int x, int y) const { return tile[x + mw * y].building_tile; } 
	inline void setBuildingTile (int x, int y, int value) { tile[x + mw * y].building_tile = value; } 
	
	void init (int w, int h);
	
	int getw() { return mw; }
	int geth() { return mh; }
	
	bool serialize (std::fstream &f) const;
	bool deserialize (std::fstream &f) const;
};

#endif
