#include <allegro.h>
#include <map>
#include <string>
#include <vector>
#include "dom.h"

#ifndef RESOURCES_H
#define RESOURCES_H

class Resources
{
	friend class Testview; // for debugging
	
	std::vector<DATAFILE*> data;
	std::map<std::string, RLE_SPRITE*> sprites; // seperately loaded bitmaps
	std::map<std::string, xdom::DomNode> dialogs; 

	//~ std::map <std::string, Anim*> animlist;
	//~ std::map <std::string, TEG_MAP*> maplist;	
	//~ std::map <std::string, Levelset*> levelsets;
	//~ std::map <std::string, CutScene*> cutscenes;
	
public:
	int init(); // loads resources
	~Resources();
	
	FONT *getFont (std::string id);
	RLE_SPRITE *getRle (std::string id);
	SAMPLE *getSample (std::string id);  
	xdom::DomNode &getDialog (std::string id);
};


extern Resources resources;

#endif
