#include <MASkinG.h>
#include "mainDlg.h"
#include "engine.h"
#include "resources.h"

using namespace std;

int main(int argc, char **argv)
{   
    // change the current working dir to where allegro.cfg and the skins directories are
    char cwd[256];
    replace_filename(cwd, argv[0], "", sizeof(cwd));        
    chdir (cwd);

    Error e = InstallMASkinG("allegro.cfg");
    if (e) 
    {
        e.Report();
    }
    
	resources.init();
	engine.init();
	render.init();
	
    MainDlg *dlg = new MainDlg();
    dlg->Execute();
    delete dlg;
    
    ExitMASkinG();

    return 0;   
}

END_OF_MAIN();

